Subject: Re: bug#12708: 24.1; M-x display-time-world "q" close window

From: Juri Linkov <[email-masked]>
Date: Sat, 27 Oct 2012 18:02:41 +0300

>> Shouldn't `display-buffer-at-bottom' create a window with the width of
>> the frame's full width?  In this case, left/center/right are not needed.
>
> I'm not sure.  People with two side-by-side windows would probably like
> to split-below their window on the right for calendar-like things that
> take fairly few columns only.

"Split-below on the right" is quite weird behavior as default.
Better would be "Split-below in the same column" (where column means
a vertical list of windows).  With a column of two windows
this is the same as `display-buffer-below-selected' already does.

> We need some framework for specifying such behavior in a user-friendly
> way.  Well, they could use side-windows already ...

In a user-friendly framework the user could just type a "print-screen" key
and it will convert the current window configuration info a structure
that can be used as a basis for further configuration.